-- 3.5.73 Power
-- Добавляем параметры к БСК, Двигателям и ВЧЗ
---------- Расширение модели БСК -------------------
create table Типы_конденсаторов_БСК
(
	Код_батареи_конденсаторов int not null,
	Код_типа_конденсатора int not null,
	Количество int,
	Primary key(Код_батареи_конденсаторов,Код_типа_конденсатора)
)
go
alter table Типы_конденсаторов_БСК 
	add foreign key(Код_батареи_конденсаторов) references Батарея_конденсаторов
	on delete cascade
go
alter table Типы_конденсаторов_БСК 
	add foreign key(Код_типа_конденсатора) references Справочник_конденсаторов
go
declare @table_name nvarchar(50)
declare @strSQL nvarchar(1024)
set @table_name=N'Батарея_конденсаторов'
set @strSQL=''
select @strSQL = @strSQL + ' ALTER TABLE ' + @table_name + ' DROP CONSTRAINT '+ object_name(FK_Tab.id) 
from sysobjects FK_Tab 
where (xtype = 'F') AND object_id(@table_name)=parent_obj 
if @strSQL<>''  exec (@strSQL)
go
ALTER TABLE Батарея_конденсаторов WITH NOCHECK
        ADD FOREIGN KEY (Код_батареи_конденсаторов)
                              REFERENCES Оборудование
                              ON DELETE CASCADE
go
insert into Типы_конденсаторов_БСК(Код_батареи_конденсаторов, Код_типа_конденсатора, Количество)
	select Код_батареи_конденсаторов, Код_конденсатора, Количество
	from Батарея_конденсаторов
go
alter table Батарея_конденсаторов drop column Код_конденсатора
alter table Батарея_конденсаторов drop column Количество
go
create table Ступени_БСК
(
	Код_батареи_конденсаторов int not null,
	Номер_ступени int not null,
	Мощность float,
	Primary key(Код_батареи_конденсаторов, Номер_ступени)	
)
go
alter table Ступени_БСК 
	add foreign key(Код_батареи_конденсаторов) references Батарея_конденсаторов
	on delete cascade
go
alter table Батарея_конденсаторов add Постоянно_включено float
alter table Батарея_конденсаторов add Наличие_фильтра_гармоник bit
go
create table Спр_блоков_управления_БСК
(
	Код_типа_блока	int identity(1,1),
        Описание	nvarchar(50) NOT NULL,
        Скрытое		bit,
        PRIMARY KEY (Код_типа_блока)
)
go
alter table Батарея_конденсаторов add Код_блока_управления int
go
ALTER TABLE Батарея_конденсаторов
        ADD FOREIGN KEY (Код_блока_управления)
                              REFERENCES Спр_блоков_управления_БСК
go
--------- Двигатели -----------------------------------------
alter table Синхронный_двигатель add Inom float
alter table Асинхронный_двигатель add Inom float
go
--------- ВЧЗ -----------------------------------------------
alter table Высокочастотный_заградитель add Частоты_заграждения nvarchar(50)
go

